Subject: bug#11860: 24.1; Arabic - Harakat (diacritics, short vowels) don't appear

From: Eli Zaretskii <[email-masked]>
Date: Sun, 16 Sep 2012 15:41:49 +0300

> From: Kenichi Handa <[email-masked]>
> Date: Sun, 16 Sep 2012 21:03:25 +0900
> Cc: [email-masked], [email-masked]
> 
> In article <[email-masked]>, Kenichi Handa <[email-masked]> writes:
> 
> > I'll try to fix Ffont_shape_gstring, and check whether or
> > not it breaks rendersing of some scripts.
> 
> I've just installed this change.

Thanks.

> With this change, I tried
> to render several scripts that require CTL (complex text
> layout) while setting a breakpoint at this line:
>   shaper_error:
>     return Qnil;
> but, Emacs has never reach that line on GNU/Linux system
> (i.e. with m17n-lib and libotf).

Can you post here a few recipes you tested, so that I could try that
on MS-Windows?